rte_meter_trtcm(3)

NAME
rte_meter_trtcm

SYNOPSIS

#include <rte_meter.h>

  Data Fields

uint64_t time_tc
uint64_t time_tp
uint64_t tc
uint64_t tp

Detailed Description

Internal data structure storing the trTCM run-time context per metered traffic flow.

Definition at line 354 of file rte_meter.h.

Field Documentation

  uint64_t time_tc
Time of latest update of C token bucket

Definition at line 355 of file rte_meter.h.

  uint64_t time_tp
Time of latest update of P token bucket

Definition at line 357 of file rte_meter.h.

  uint64_t tc
Number of bytes currently available in committed(C) token bucket

Definition at line 359 of file rte_meter.h.

  uint64_t tp
Number of bytes currently available in the peak(P) token bucket

Definition at line 361 of file rte_meter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.